Subject: bug#30788: 27.0.50; Getting 'char-displayable-p: Invalid hash table rehash size: 1.0' when starting emacs -Q

From: Peter Dyballa <[email-masked]>
Date: Tue, 15 May 2018 16:02:28 +0200

> Am 5.5.2018 um 00:13 schrieb Glenn Morris <[email-masked]>:
> 
> Peter Dyballa wrote:
> 
>> The GNU Emacs 27.0.50 source is fetched with command "/usr/bin/git
>> checkout -q 0bddbbc5aae621d5875880ac3e63f68d481df7c3" (whatever this
>> means, the MacPorts package manager associates it with 20170918).
> 
> It means you are building an 8-month old development version that
> contains many bugs that have since been fixed, like this one.
> 

I started a new attempt. On http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=15fa8de1ae3228413fde95e583008d9b9f19e7c7 I found this number. I patched a MacPorts control file and so port used the command '/usr/bin/git checkout -q 15fa8de1ae3228413fde95e583008d9b9f19e7c7' to fetch the sources. GNU Emacs 27.0.50 could be build, and it shows here on my Mac still the same error with the "Invalid hash table rehash size."

I also have two X servers installed (actually three). The one is XQuartz 2.7.11, which comes inside an Apple installer package, the other is X11, built from source by port from the sources of the packages xorg-server 1.18.4 or xorg-server-devel 1.19.99.1. What I can observe is that GNU Emacsen 26.x or 27.0.50 built in one X server do *not* run in that X server ("Invalid hash table rehash size"), but they *do* in the other.

--
Greetings

  Pete

You can learn many things from children.  How much patience you have, for instance.
				– Franklin P. Jones